Subject: bug#43866: 26.3; italian postfix additions

From: Juri Linkov <[email-masked]>
Date: Wed, 21 Oct 2020 20:30:06 +0300

>> I don't know how to map a key sequence to 2 characters.
>> When trying to map to 2 characters ?у and ?́ :
>
>>   (define-key map (apply 'vector '(?' ?у)) (vector ?у ?́ ))
>
>> typing 'y inserts only the last character ?́ , not both ?у and ?́ .
>
> Canʼt you pass a string containing ?y and ?́ as the last argument to
> define-key? (although you might want to use the ?\N{NAME} or ?\uXXXX
> syntax to stop Emacs combining that U+0301 with the question mark)

I tried to use a string as the last argument to define-key,
and the result is weird: the Help buffer says that the key binding
is actually a keyboard macro, and invoking it does strange things.
For example, when a binding is a string "ö", then typing its keys
calls the command 'upcase-word'.  No idea why it works this way.